Bug 710912 - (oct-control) Review Request: octave-control - Control systems for Octave
Review Request: octave-control - Control systems for Octave
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-05 14:37 EDT by Thomas Sailer
Modified: 2014-10-08 06:10 EDT (History)
5 users (show)

See Also:
Fixed In Version: octave-control-2.0.2-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 23:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamatos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2011-06-05 14:37:48 EDT
Spec URL: http://sailer.fedorapeople.org/octave-control.spec
SRPM URL: http://sailer.fedorapeople.org/octave-control-2.0.2-1.fc15.src.rpm
Description: Octave control systems package increasingly based on the SLICOT Fortran

Scratch Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3112105
Comment 1 José Matos 2011-06-13 11:23:19 EDT
I will take the review.
Comment 2 José Matos 2011-06-14 10:24:39 EDT
Some of the previous suggestion applies:

1) the build root

2) the description it ends with "on the SLICOT Fortran"... library?

There is one that I caught when reviewing this package:

[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

Actually now that I think about this it should apply to all packages.
My suggestion is just to mark it as %doc, not to change its place.
FWIW I had this same remark at bug 693804.

Since this is minor I trust to fix this after importing.

The package is APPROVED.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : 3a3654a8df670beb642ed0f36f30463f
        MD5SUM upstream package : 3a3654a8df670beb642ed0f36f30463f
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint octave-control-2.0.2-1.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint octave-control-debuginfo-2.0.2-1.fc16.i686.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint octave-control-2.0.2-1.fc16.i686.rpm
        ================================================================================
        octave-control.i686: W: obsolete-not-provided octave-forge
        octave-control.i686: W: hidden-file-or-dir /usr/share/octave/packages/control-2.0.2/packinfo/.autoload
        octave-control.i686: E: zero-length /usr/share/octave/packages/control-2.0.2/packinfo/.autoload
        octave-control.i686: W: dangerous-command-in-%preun rm
        1 packages and 0 specfiles checked; 1 errors, 3 warnings.
        ================================================================================

Known issues not related with package (octave specific). So this OK.
        
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[!] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[x] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[x] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
Comment 3 Thomas Sailer 2011-06-15 06:08:09 EDT
Thanks for the review!

I've marked the license file as %doc, removed BuildRoot and made the description more sensible.

http://sailer.fedorapeople.org/octave-control-2.0.2-2.fc15.src.rpm
http://sailer.fedorapeople.org/octave-control.spec

New Package SCM Request
=======================
Package Name: octave-control
Short Description: Control systems for Octave
Owners: sailer
Branches: f15
InitialCC:
Comment 4 Jon Ciesla 2011-06-15 08:02:29 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-06-15 12:33:01 EDT
octave-control-2.0.2-2.fc15,octave-symbolic-1.0.9-2.fc15,octave-audio-1.1.4-2.fc15,octave-quaternion-1.0.0-2.fc15,octave-miscellaneous-1.0.11-2.fc15,octave-specfun-1.0.9-2.fc15,octave-struct-1.0.9-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/octave-control-2.0.2-2.fc15,octave-symbolic-1.0.9-2.fc15,octave-audio-1.1.4-2.fc15,octave-quaternion-1.0.0-2.fc15,octave-miscellaneous-1.0.11-2.fc15,octave-specfun-1.0.9-2.fc15,octave-struct-1.0.9-3.fc15
Comment 6 Fedora Update System 2011-06-15 19:53:22 EDT
octave-control-2.0.2-2.fc15, octave-symbolic-1.0.9-2.fc15, octave-audio-1.1.4-2.fc15, octave-quaternion-1.0.0-2.fc15, octave-miscellaneous-1.0.11-2.fc15, octave-specfun-1.0.9-2.fc15, octave-struct-1.0.9-3.fc15 has been pushed to the Fedora 15 testing repository.
Comment 7 Fedora Update System 2011-06-23 23:47:51 EDT
octave-control-2.0.2-2.fc15, octave-symbolic-1.0.9-2.fc15, octave-audio-1.1.4-2.fc15, octave-quaternion-1.0.0-2.fc15, octave-miscellaneous-1.0.11-2.fc15, octave-specfun-1.0.9-2.fc15, octave-struct-1.0.9-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Orion Poplawski 2014-10-07 13:29:51 EDT
Thomas -  I need this too.  Since you didn't respond to the octave-signal request, I'm going to assume that you aren't interested in this either.

Package Change Request
======================
Package Name: octave-control
New Branches: epel7
Owners: orion
InitialCC:
Comment 9 Jon Ciesla 2014-10-08 06:10:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.